# pydicom.config.DS_numpy

pydicom.config.DS_numpy(use_numpy: bool = True) → None

  Set whether multi-valued elements with VR of DS will be numpy arrays

  New in version 2.0.

  Parameters:

    use_numpy (bool, optional) –

    `True` (default) to read multi-value DS elements as `ndarray`, `False` to read multi-valued DS data elements as type `MultiValue`

    Note: once a value has been accessed, changing this setting will no longer change its type

  Raises:

    ValueError – If `use_DS_decimal` and use_numpy are both True.